{ pkgs ? import ./nix/pkgs.nix {} }:
let
  haskellDeps = import ./nix/haskell-deps.nix;
  settings = import ./nix/settings.nix;

  tools = with pkgs; [
    # nix tools
    niv
    nix-tree

    # haskell tools
    stack
    haskell-language-server
    (pkgs.haskell.packages."${settings.ghc}".ghcWithPackages haskellDeps)
  ];
in
  pkgs.mkShellNoCC {
    nativeBuildInputs = tools;
  }
